<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:param name="baseActionURL">render.userLayoutRootNode.uP</xsl:param>
<xsl:param name="currentSkin">vt</xsl:param>
<xsl:variable name="mediaPath">media/org/jasig/portal/layout/tab-column/nested-divs</xsl:variable>

	<xsl:template match="/">
		<xsl:apply-templates select="skins"/>
	</xsl:template>

	<xsl:template match="skins">
		<form name="form1" method="post" action="{$baseActionURL}">
		<fieldset>

		<div class="uportal-background-med" style="padding:2px; text-align:right;">
			<span style="float:left;"><strong>Skin Selection:</strong> Select a portal skin below, then click [Apply].</span>
			<input type="submit" name="submitSave" value="Apply" class="uportal-button" style="width:75px;"/>
			<input type="submit" name="submitCancel" value="Cancel" class="uportal-button" style="width:75px;"/> 
		</div>

		<xsl:apply-templates select="skin">
			<xsl:sort select="skin-name"/>
		</xsl:apply-templates>

		<div class="uportal-background-med" style="padding:2px; text-align:right;">
			<span style="float:left;"><strong>Skin Selection:</strong> Select a portal skin below, then click [Apply].</span>
			<input type="submit" name="submitSave" value="Apply" class="uportal-button" style="width:75px;"/>
			<input type="submit" name="submitCancel" value="Cancel" class="uportal-button" style="width:75px;"/> 
		</div>

		<input type="hidden" name="action" value="completeEdit"/>
		</fieldset>
		</form>
	</xsl:template>

	<xsl:template match="skin">
	<div style="border-bottom:1px solid #999; clear:left; height:90px; padding:10px;">
		<span style="float:left; width:15px;">
		<xsl:choose>
		<xsl:when test="$currentSkin=skin">
			<input type="radio" name="skinName" value="{skin}" checked="checked"/>
		</xsl:when>
		<xsl:otherwise>
			<input type="radio" name="skinName" value="{skin}"/>
		</xsl:otherwise>
		</xsl:choose>
		</span>

		<img src="{$mediaPath}/{skin}/skin/thumb.gif" width="120" height="90" alt="{skin-name} thumbnail" style="float:left; margin:0px 15px 0px 15px; vertical-align:top"/>

		<span style="line-height: 1.5em">
			<strong>Name:</strong>&#160;<xsl:value-of select="skin-name"/><br/>
			<strong>Description:</strong>&#160;<xsl:value-of select="skin-description"/><br/>
			<strong>Recommended Browsers:</strong>&#160;<xsl:value-of select="recommended-browsers"/>
		</span>
	</div>
	</xsl:template>
</xsl:stylesheet>